Cancel an ACH transfer
| Transfer | Cancel until |
|---|---|
| Bank → wallet | The debit originates |
| Wallet → bank | The credit originates |
| Bank → bank | The credit originates |
Origination happens at the next ACH cutoff. Canceling a transfer in a transfer group also cancels every transfer after it in the group, but doesn't affect future scheduled transfers.
Cancellations must occur within a specific time frame.
To return money after an ACH transfer originates, create a new transfer in the opposite direction. See return funds after an ACH payment originates.
Request a cancellation
Request a cancellation by sending the accountID and transferID to the cancel a transfer POST endpoint.
curl -X POST "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/cancellations" \
-H "Authorization: Bearer {token}" \
-H "x-idempotency-key: UUID" \
-H "x-moov-version: v2026.07.00"
If you request a cancellation, but the transaction has already been originated, previously failed, or already completed, you'll receive a 400 error. A request made very close to origination can fail. Retrying the cancellation is possible, but likely won't be successful.
Additionally, you can get the details of a cancellation using the following:
curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/cancellations/{cancellationID}" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2026.07.00"
Track the cancellation
A cancellation status can be one of pending, completed, or failed. The achDetails object will also show a status of canceled if the transfer has been successfully canceled, along with a canceledOn timestamp.
For bank-to-bank transfers, a cancellation will be pending when the debit transaction has already been originated. Moov waits for the debit to complete and subsequently credits the source wallet before the credit leg is initiated to the destination. If the source does not have a wallet, the destination wallet will be credited and you can initiate a transfer of funds back to the source bank account.
A successful request returns:
{
"cancellationID": "8df8e13c-3c20-4b4b-b265-796534cf4275",
"status": "pending",
"createdOn": "2023-09-09T14:15:22Z"
}
For updates on a pending cancellation, you can subscribe to the cancellation webhooks, or get the cancellation status using the cancellation details GET endpoint.
Webhooks
Subscribe to the following webhook events, which will provide you with relevant cancellation updates:
cancellation.creatednotifies you when the cancellation was successfully createdcancellation.updatednotifies you when the cancellation was updatedpendingcompletedfailed